import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Tabs, Tab } from './components/tabs';
export var TabsComponent = Intact.decorate(Tabs, 'k-tabs');
export var TabComponent = Intact.decorate(Tab, 'k-tab');
var components = [TabsComponent, TabComponent];
var TabsModule = /** @class */ (function () {
    function TabsModule() {
    }
    TabsModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], TabsModule);
    return TabsModule;
}());
export { TabsModule };